#  aRT : API R - TerraLib                                                
#  Copyright (C) 2003-2008  LEG                                          
#                                                                        
#  This program is free software; you can redistribute it and/or modify  
#  it under the terms of the GNU General Public License as published by  
#  the Free Software Foundation; either version 2 of the License, or     
#  (at your option) any later version.                                   
#                                                                        
#  This program is distributed in the hope that it will be useful,       
#  but WITHOUT ANY WARRANTY; without even the implied warranty of        
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         
#  GNU General Public License for more details.                          
#                                                                        
#  You should have received a copy of the GNU Lesser General Public      
#  License along with this library.

setMethod("initialize", "aRTraster", function(.Object, data = NULL, .external = NULL)
{
  if( !is.null(.external) ) pointer = .external
  else
  {
    if(is(data,"SpatialGridDataFrame")) data = as.image.SpatialGridDataFrame(data[1], 1, 2)

    if(!any(names(data)=="z")) stop ("'value' must have a z attribute")
    if(!any(names(data)=="x")) stop ("'value' must have a x attribute")
    if(!any(names(data)=="y")) stop ("'value' must have a y attribute")

#    .aRTcall(data, "cppAddRaster",
#             x=range(data$x),
#             y=range(data$y),
#             z=data$z,
#             dim = dim(data$z))

	pointer = .Call("cppRaster", list(x=range(data$x),
						              y=range(data$y),
						              z=data$z,
						              dim = dim(data$z)), PACKAGE="aRT")
  }

  .Object@pointer <- pointer
  reg.finalizer(.Object@pointer, .aRTremove)
  .Object
})

setMethod("getRaster", "aRTraster", function(object, as.sp=TRUE)
{
  raster = .aRTcall(object, "cppGetRast")

  if(as.sp)
  {
    raster <- cbind(expand.grid(x = raster$x, y = raster$y), as.vector(raster$z))
    coordinates(raster) <- c("x", "y")
    gridded(raster) <- TRUE
    fullgrid(raster)=TRUE
  }

  raster
})

setMethod("getPixels", "aRTraster", function(object, geometry, mode=NULL)
{
	.Call("cppGetPixels", object@pointer, list(mode=mode), geometry@pointer, PACKAGE="aRT")
})


