\name{aRTlayer-getRelation}

\docType{object}

\alias{getRelation,aRTlayer-method}
\alias{getRelation}
\alias{contain}
\alias{overlap}
\alias{cross}
\alias{disjoint}
\alias{within}
\alias{intersects}
\alias{equal}
\alias{cover}

\title{Spatial Relations}

\description{Returns elements of a given layer that satisfy a given spatial relation.
The spatial relation can refer to objects of a different layer.}

\section{Arguments}{
  \describe{
  \item{object}{The target layer.}
  \item{relation}{A relation among:}
   \itemize{
        \item contains
        \item coveredby
        \item covers
        \item crosses
        \item disjoint
        \item equals
        \item intersects
        \item overlaps
        \item touches
        \item within
   }
  \item{layer}{The layer which the spatial relation must satisfy.}
  \item{ids}{The selected ids of layer to be used. If \code{NULL}, all the elements of layer will be used.}
  }
}

\examples{
\dontrun{
}}

\author{Pedro Ribeiro de Andrade}
\keyword{connection}

\seealso{
   See \code{aRTlayer-class} to the description of this class.
}

% vim: syntax=tex
