\name{aRTtable-createAndFillColumn}

\alias{createAndFillColumn}
\alias{createAndFillColumn,aRTtable-method}
\title{Creates and fills a column}

\description{
	Create a new column in a table of a cellular layer, 
    filling it with the result of a spatial operation, which can also involve 
    some attribute.
}
\usage{
\S4method{createAndFillColumn}{aRTtable}(
object, newatt, target, strategy, att, proportion, itime, ftime, dist)
}

\arguments{
  \item{object}{Object of class \code{aRTtable}.}
  \item{newatt}{The name of the new column.}
  \item{target}{An aRTraster or aRTlayer object.}
  \item{strategy}{The strategy for filling the attribute: "average", "stdev", "sum", "minimum", "maximum", "majority", "dpoint", "xpoint", "xline", "xpol", "dpol", "dline", "cpoint", "cline", "cpol", "presence", "area", "length", "raverage", "rsum". Under development.}
  \item{att}{The atribute used to compute the column (optional)}
  \item{proportion}{Whether the calculation will be based on the intersection area, or the weights are equal for each object whth some intersection.}
  \item{itime}{The initial time (for temporal tables).}
  \item{ftime}{The final time (for temporal tables).}
  \item{dist}{The maximum erros when calculating the distance.}
}

\author{Pedro Ribeiro de Andrade}
\keyword{database}
\seealso{
	See \code{aRTtable-class} to show the description of this class.
}
% vim: syntax=tex
